# Copyright © VNG Realisatie 2022
# Licensed under the EUPL

Lint newlines:
  image: ${CI_DEPENDENCY_PROXY_DIRECT_GROUP_IMAGE_PREFIX}/bash:5.1.16@sha256:e42a5177ee864f7355ff256a885b09e89ddf76d4bef4099371de3b3330582dc1
  stage: Tests
  script:
    - apk add git
    - bash ./scripts/eol-at-eof-linter.sh
  needs: []
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
      when: never
    - if: $CI_COMMIT_BRANCH # do not run for tags
    - if: $CI_PROJECT_PATH != "commonground/nlx/fsc-nlx" && $CI_PIPELINE_SOURCE == "merge_request_event" # run for external fork merge requests
  tags:
    - commonground-k8s-runners
